// $Id: fixed-point.cc,v 1.8 1999/05/30 20:04:52 gson Exp $
//
// Support for fixed-point computation.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>
#include <signal.h>
#include <sys/types.h>
#include <unistd.h>

#include "fixed-point.h"

int n_saturations = 0;
int report_at = 1;

void saturated() {
#ifndef NDEBUG
    n_saturations++;
    if (n_saturations == report_at) {
	fprintf(stderr, "warning: saturated %d time(s)\n",
		n_saturations);
	report_at <<= 2;
    }
#if 0
    if (n_saturations == 100) {
	char b[100];
	gethostname(b, sizeof(b));
	int pid = getpid();
	if (b[2] != 'a')
	    return;
	fprintf(stderr, "%s pid %d stopped due to exessive saturations\n",
		b, pid);	
	kill(pid, SIGSTOP);
    }
#endif
#endif
}

void force_fp_spill() { }
