// $Id: mmx.h,v 1.4 1999/05/30 20:04:52 gson Exp $
//
// Support for the Intel Pentium MMX instructions.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#ifndef _MMX_H
#define _MMX_H

// Force a spill of the floating point registers.  This is called
// before and after using MMX instructions.  This function actually does
// nothing, but by virtue of being extern, it forces the compiler
// to assume the floating point registers get clobbered.

extern void force_fp_spill();

// Begin MMX code.

inline void bmms() {
    force_fp_spill();
}

// End MMX code.

inline void emms() {
    force_fp_spill();    
    __asm__("emms");
}

#endif
