// $Id: bin2asc.cc,v 1.5 1999/01/28 21:33:29 gson Exp $
//
// Convert 16-bit binary audio data to ASCII floating point.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

// The binary audio data is signed, linear, big-endian, twos complement.

#include <stdio.h>
#include <math.h>

#include "fileio.h"

int main(int, char **)
{
    BinaryFileReader r(stdin);
    while (! r.eof) {
	float s = r();
	printf("%6f\n", s);
    }
    exit(0);
}
