// $Id: chan-extract.cc,v 1.4 1999/01/28 21:33:29 gson Exp $
//
// Extract either channel from 16-bit stereo audio file.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>

int main(int argc, char **argv)
{
    int flip = 0;
    int chsel;

    if (argc < 2) {
    usage:
	fprintf(stderr, "usage: chan-extract l|r\n");
	exit(1);
    }
    switch(argv[1][0]) {
    case 'l':
	chsel = 0; break;
    case 'r':
	chsel = 1; break;
    default:
	goto usage;
    }
    
    for (;;) {
	int a = getc(stdin);
	if (a == EOF)
	    goto end;
        int b = getc(stdin);
	if (b == EOF)
	    goto end;
	if (flip == chsel) {
	    putc(a, stdout);
	    putc(b, stdout);
	}
	flip ^= 1;
    }
 end: ;
}
