// $Id: chargen.cc,v 1.2 1999/01/28 21:33:30 gson Exp $
//
// Character generator, stolen from the inetd "chargen" service.
//

#include <stdio.h>
#include <ctype.h>
#include <memory.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>

#define LINESIZ 72
char ring[128];
char *endring;

void
initring()
{
    endring = ring;
    for (int i = 0; i <= 128; ++i)
	if (isprint(i))
	    *endring++ = i;
}

int main() {
    int len;
    char *rs, text[LINESIZ+1];
    
    if (!endring) {
	initring();
	rs = ring;
    }
    
    text[LINESIZ] = '\n';
    
    for (rs = ring;;) {
	if ((len = endring - rs) >= LINESIZ)
	    memmove(text, rs, LINESIZ);
	else {
	    memmove(text, rs, len);
	    memmove(text + len, ring, LINESIZ - len);
	}
	if (++rs == endring)
	    rs = ring;
	if (write(1, text, sizeof(text)) != sizeof(text))
	    break;
    }
}
