// $Id: interpolate.cc,v 1.6 1999/01/28 21:33:31 gson Exp $
//
// Interpolate a signal by a factor of two.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>

#include "fileio.h"
#include "interpolator.h"

#define N 128

int main(int, char **)
{
    BinaryFileReader r(stdin);
    Interpolator<float, N, BinaryFileReader> interp(r);
    BinaryFileWriter w(stdout);
    
    for (;;) {
	w.push(interp() * 0.6f);
    }
}

