// $Id: peak.cc,v 1.3 1999/01/28 21:33:33 gson Exp $
//
// Find the peak level of a signal.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>
#include <math.h>

int main(int argc, char **argv)
{
    double maxabs = 0.0;
    
    for (;;) {
	double input;	
	if (scanf("%lf", &input) != 1)
	    break;
	double abs = fabs(input);
	if (abs > maxabs)
	    maxabs = abs;
    }
    printf("%f\n", maxabs);
}
