#!/bin/sh
#
# $Id: plot-src-spectrum.sh,v 1.10 1999/05/09 11:47:17 gson Exp $
#
# Plot the spectrum of the sample rate converter output.
#
# (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
# Please refer to the file COPYRIGHT for detailed copyright information.
#

# This is used for assessing the quality of sample rate conversion.

make sine channel test-polyphase-fir

sine 0.95277 | channel 0.97131 | bin2asc | head -1000 | plot-spectrum.sh --pipe >/tmp/irrational
sine 0.611 | test-polyphase-fir | bin2asc | head -1000 | plot-spectrum.sh --pipe >/tmp/rational

cat >/tmp/tmp.gp <<END
set data style lines
set logscale y
set xrange [0:256]
plot "/tmp/rational", "/tmp/irrational"
pause -1
END

gnuplot /tmp/tmp.gp
