// $Id: sine.cc,v 1.4 1999/01/28 21:33:33 gson Exp $
//
// Generate a sine wave.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>

#include "math.h"
#include "stdlib.h"
#include "fileio.h"

int main(int, char **argv)
{
    double fq = atof(argv[1]);
    double w = 0;
    BinaryFileWriter wr(stdout);
    for (;;) {
	wr.push(cos(w));
	w += fq * M_PI;
	if (w > 2 * M_PI)
	    w -= 2 * M_PI;
    }
}
