// $Id: test-echo-buffer.cc,v 1.2 1999/01/28 21:33:36 gson Exp $
//
// Test harness for the EchoBuffer class.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>
#include <assert.h>

#include "echo-buffer.h"

int main(int, char **)
{
    EchoBuffer<int, 33, 4> buf;
    for (int i = 0; i < 100; i++) {
	buf.push(i);
    }
    EchoSubarray<int, 33, 4> sa0(buf, 0);
    assert(sa0[0] == 99);
    assert(sa0[3] == 96);
    EchoSubarray<int, 33, 4> sa20(buf, 20);
    assert(sa20[0] == 79);
    assert(sa20[3] == 76);
    exit(0);
}
