// $Id: test-pam-tx.cc,v 1.5 2006/10/18 12:12:09 gson Exp $
//
// Test harness for PR-PAM transmitter.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <err.h>
#include <stdio.h>
#include <math.h>
#include <assert.h>

#include "lfsr.h"
#include "dsp.h"
#include "pam-tx.h"
#include "fileio.h"
#include "bitfileio.h"

void
transmit() {
    BitFileReader reader("transmit.data");
    BinaryFileWriter writer(stdout);
    PRPAMTransmitter<float, BitFileReader> tx(reader);
    while (1) {
	writer.push(tx());
    }
}

int main(int, char **) {
    transmit();
}
