// $Id: test-qam-tx.cc,v 1.5 2006/10/18 12:12:09 gson Exp $
//
// Test harness for QAM transmitter.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>
#include "lfsr.h"
#include "qam-tx.h"
#include "fileio.h"
#include "bitfileio.h"

int main(int, char **) {
    BitFileReader reader("transmit.data");    
    BinaryFileWriter writer(stdout);
    QAMTransmitter<float, BitFileReader> tx(reader);
    for (;;) {
	writer.push(tx());
    }
}
