// $Id: plot-signal.h,v 1.4 1999/01/28 21:33:23 gson Exp $
//
//  Log a signal to disk for later plotting.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#ifndef _PLOT_SIGNAL_H
#define _PLOT_SIGNAL_H

#include <unistd.h> // gethostname()
#include <stdlib.h>

#include "fileio.h"
#include "fixed-point.h"
#include "dsp.h"

FILE *open_log_file(char *ident);

class SignalPlot {
public:
    SignalPlot(char *ident)
	: fh(open_log_file(ident)),
	  writer(fh) { }
    void push(s16 s) { writer.push(s); }
private:
    FILE *fh;
    BinaryFileWriter writer;

};

#endif
