// $Id: skel-audio.h,v 1.2 1999/03/20 14:06:51 gson Exp $
//
// Skeleton for system-dependent audio driver.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#ifndef _SKEL_AUDIO_H
#define _SKEL_AUDIO_H

#include "dev-audio.h"

class SkelAudio: public DevAudio {
public:
    // Initialize the audio device, configure it 
    // for full duplex operation, set an appropriate
    // (small) block size, etc.
    
    SkelAudio(int audio_fd) 
	: fd(audio_fd)
    {
	// Your code here
    }
    
    // Start recording, if your system does not
    // start it automatically when the audio device
    // is opened.
    
    void start_input() {
	// Your code here
    }

    // Start playback, if your system does not
    // start it automatically when the audio device
    // is opened.
    
    void start_output() {
	// Your code here
    }

    // Get the number of samples currently in the playback buffer
    
    int playsize() {
	// Your code here
	return 0;	
    }

    // Get the number of samples currently in the recording buffer
    int size() {
	// Your code here
	return 0;
    }

    // Set the recording gain.  The argument goes from 0 to N_GAIN_STEPS-1.

    void set_gain(int gain_index) {
	// Your code here 
    }

    // Reset the recording gain to a reasonable default value.

    void reset_gain() {
	// Your code here 
    }

//private:
    int fd;	// File descriptor for the audio device
};

#endif
