// $Id: chan-interleave.cc,v 1.2 1999/01/28 21:33:29 gson Exp $

// Interleave two mono sound files, creating a stereo sound file.

// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//
#include <stdio.h>

int main(int argc, char **argv)
{
    FILE *lf = fopen(argv[1], "r");
    FILE *rf = fopen(argv[2], "r");
    for (;;) {
	int a, b;
	a = getc(lf);
	if (a == EOF)
	    goto end;
        b = getc(lf);
	if (b == EOF)
	    goto end;
	putc(a, stdout);
	putc(b, stdout);

	a = getc(rf);
	if (a == EOF)
	    goto end;
        b = getc(rf);
	if (b == EOF)
	    goto end;
	putc(a, stdout);
	putc(b, stdout);
    }
 end: ;
}
