// $Id: gain.cc,v 1.2 1999/01/28 21:33:30 gson Exp $
//
// Amplify/attenuate a 16-bit binary audio signal.
// 
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>
#include <stdlib.h>

#include "dsp.h"
#include "fileio.h"

int main(int argc, char **argv)
{
    if (argc < 2) {
	fprintf(stderr, "usage: gain factor");
	exit(1);
    }
    float gain = atof(argv[1]);
    BinaryFileReader r(stdin);    
    BinaryFileWriter w(stdout);
    while (! r.eof) {
	w.push(gain * (float) r());
    }
    return 0;
}
