#!/bin/sh
#
# $Id: plot-src-phases.sh,v 1.2 1999/01/29 07:10:10 gson Exp $
#
# Plot frequency response of sample rate converter for various phases
#
# (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
# Please refer to the file COPYRIGHT for detailed copyright information.
#

for phase in 0 1 2 3 4
do
   ( <taps.cc  sed -n "/float taps$phase\[/,/^}/p" | sed 's/,.*$//' | grep '^ '; yes 0 ) | head -512 |
     /s/s/myfft/fft 512 | awk '{print sqrt($1*$1+$2*$2)}' >/tmp/resp-$phase
done

cat >/tmp/tmp.gp <<END
# set yrange [0.90:1.03]
set data style lines
plot "/tmp/resp-0", "/tmp/resp-1", "/tmp/resp-2", "/tmp/resp-3", "/tmp/resp-4"
pause -1
END

gnuplot /tmp/tmp.gp
