// $Id: test-fir.cc,v 1.2 1999/01/28 21:33:37 gson Exp $
//
// Example program for WBFIR class.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include "dsp.h"
#include "kernels.h"
#include "fileio.h"

int main(int, char **)
{
    GaussianWindowedBandpassKernel bp(0.625, 0.875, 32, 2.5);
    WBFIR<32, 256, float, GaussianWindowedBandpassKernel> fir(bp);
    BinaryFileReader r(stdin);    
    BinaryFileWriter w(stdout);
    while (! r.eof) {
	w.push(fir(r()));
    }
    return 0;
}
