// $Id: test-fixed-point.cc,v 1.2 1999/01/28 21:33:37 gson Exp $
//
// Test harness for fixed point arithmetic classes.
//
// (C) Copyright 1999 Araneus Information Systems Oy.  All rights reserved.
// Please refer to the file COPYRIGHT for detailed copyright information.
//

#include <stdio.h>
#include <assert.h>

#include "fixed-point.h"

int main(int , char **)
{
    printf("pow2f 32 = %f\n", POW2F(32));
    UFixed<0> a(1.0f / 3.0f), b(1.0f / 3.0f);
    printf("a bits = %08x\n", a.bits());
    UFixed<0> c = a + b;
    printf("c bits = %08x\n", c.bits());
    printf("%f\n", (float) c);

    UFixed<2> a2(2.21), b2(0.01);
    UFixed<2> c2 = a2 + b2;
    printf("%f\n", (double) c2);
}
